[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# TSemaphoreDestroyHandler

Function prototype for destroying a semaphore

## Declaration

Source position: threadh.inc line 66

`type TSemaphoreDestroyHandler = procedure(`
`const sem: Pointer`
`);`

## Description

TSemaphoreDestroyHandler is the function prototype to destroy an existing semaphore, as returned by (ThreadManager.SemaphoreInit). It is used by the thread manager (ThreadManager.SemaphoreDestroy)